<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/gzip.php";
require_once"../template/header.php";

$http_referer = check($_SERVER['HTTP_REFERER']);
if(empty($http_referer)){$http_referer='Отсутствует';}
$request_uri = urldecode(check($_SERVER['REQUEST_URI']));
$phpself = check($_SERVER['PHP_SELF']);
$phpself=str_replace ("/pages/error.php","",$phpself);
$logdat = BASEDIR."local/datalog/error.dat";


$hostname = gethostbyaddr($ip);
$datetime = date("Y-m-d H:i:s");
if($_SESSION['log']==""){$log=$config_guestsuser;}else{$log=$_SESSION['log'];}

$write = '|Неизвестная ошибка|Файл: '.$phpself.$request_uri.'|Время: '.$datetime.'|IP: '.$ip.'|Хост: '.$hostname.'|Browser: '.$brow.'|Referer: '.$http_referer.'|Пользователь: '.$log.'|';

if ($error == '400'){
$write = '|400 - Cервер обнаружил в запросе клиента синтаксическую ошибку|Файл: '.$phpself.$request_uri.'|Время: '.$datetime.'|IP: '.$ip.'|Хост: '.$hostname.'|Browser: '.$brow.'|Referer: '.$http_referer.'|Пользователь: '.$log.'|';
}

if ($error == '401'){
$write = '|401 - Недостаточно прав для выдачи этого документа|Файл: '.$phpself.$request_uri.'|Время: '.$datetime.'|IP: '.$ip.'|Хост: '.$hostname.'|Browser: '.$brow.'|Referer: '.$http_referer.'|Пользователь: '.$log.'|';
}

if ($error == '402'){
$write = '|402 - Нереализованный код запроса|Файл: '.$phpself.$request_uri.'|Время: '.$datetime.'|IP: '.$ip.'|Хост: '.$hostname.'|Browser: '.$brow.'|Referer: '.$http_referer.'|Пользователь: '.$log.'|';
}

if ($error == '403'){
$write = '|403 - Недопустимый запрос документа |Файл: '.$phpself.$request_uri.'|Время: '.$datetime.'|IP: '.$ip.'|Хост: '.$hostname.'|Browser: '.$brow.'|Referer: '.$http_referer.'|Пользователь: '.$log.'|';
$logdat = BASEDIR."local/datalog/error403.dat";
}

if ($error == '404'){
$write = '|404 - Документ по указанному URL не существует |Файл: '.$phpself.$request_uri.'|Время: '.$datetime.'|IP: '.$ip.'|Хост: '.$hostname.'|Browser: '.$brow.'|Referer: '.$http_referer.'|Пользователь: '.$log.'|';
$logdat = BASEDIR."local/datalog/error404.dat";
}

if ($error == '500'){
$write = '|500 - Внутренняя ошибка сервера|Файл: '.$phpself.$request_uri.'|Время: '.$datetime.'|IP: '.$ip.'|Хост: '.$hostname.'|Browser: '.$brow.'|Referer: '.$http_referer.'|Пользователь: '.$log.'|';
}

if ($error == '502'){
$write = '|502 - Сервер получил недопустимые ответы другого сервера|Файл: '.$phpself.$request_uri.'|Время: '.$datetime.'|IP: '.$ip.'|Хост: '.$hostname.'|Browser: '.$brow.'|Referer: '.$http_referer.'|Пользователь: '.$log.'|';
}


$fp=fopen($logdat,"a+");
flock ($fp,LOCK_EX);
fputs($fp,"$write\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0666); 
chmod ($logdat, 0666); 


$file=file($logdat); 
$i = count($file);
if ($i>=$config_maxlogdat) {
$fp=fopen($logdat,"w");
flock ($fp,LOCK_EX);
unset($file[0]);
unset($file[1]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}

header ("Location: ".$config_home."/?error=".$error."&".SID);
?>